romBank< N > Class Template Reference

`#include <SystemROMBanks.h>`

Inheritance diagram for romBank< N >:

## Public Member Functions

void | set (const uint8_t *source)
void | poke (uint_least16_t address SID_UNUSED, uint8_t value SID_UNUSED)
uint8_t | peek (uint_least16_t address)

## Protected Member Functions

void | setVal (uint_least16_t address, uint8_t val)
uint8_t | getVal (uint_least16_t address) const
void * | getPtr (uint_least16_t address) const

## Protected Attributes

uint8_t | rom [N]
| The ROM array.

## Detailed Description

### template<int N>
class romBank< N >

ROM bank base class N must be a power of two

## Member Function Documentation

template<int N>

void* romBank< N >::getPtr | ( | uint_least16_t | address | ) | const

inline protected

Return pointer to memory address.

template<int N>

uint8_t romBank< N >::getVal | ( | uint_least16_t | address | ) | const

inline protected

Return value from memory address.

template<int N>

uint8_t romBank< N >::peek | ( | uint_least16_t | address | ) |

inline virtual

Bank read. You probably should override this method, except if the Bank is only used in write context.

Parameters

  address | value to read from

Returns
  value at address

Implements Bank.

template<int N>

void romBank< N >::poke | ( | uint_least16_t address | SID_UNUSED,
|  | uint8_t value | SID_UNUSED
| ) |  |

inline virtual

Writing to ROM is a no-op.

Implements Bank.

template<int N>

void romBank< N >::set | ( | const uint8_t * | source | ) |

inline

Copy content from source buffer.

template<int N>

void romBank< N >::setVal | ( | uint_least16_t | address,
|  | uint8_t | val
| ) |  |

inline protected

Set value at memory address.

The documentation for this class was generated from the following file:

- SystemROMBanks.h